Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: CVE-2019-12450: Security patch for glib2 (ALAS-2019-1256)

Back to Search

Amazon Linux AMI: CVE-2019-12450: Security patch for glib2 (ALAS-2019-1256)

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
05/29/2019
Created
08/15/2019
Added
08/13/2019
Modified
08/13/2019

Description

file_copy_fallback in gio/gfile.c in GNOME GLib 2.15.0 through 2.61.1 does not properly restrict file permissions while a copy operation is in progress. Instead, default permissions are used.

Solution(s)

  • amazon-linux-upgrade-glib2

References

  • amazon-linux-upgrade-glib2

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;